Name:           cxxtest
Version:        3.10.1
Release:        3%{?dist}
Summary:        A JUnit-like testing framework for C++

Group:          Development/Tools
License:        LGPLv2+
URL:            http://cxxtest.tigris.org
Source0:        http://cxxtest.tigris.org/files/documents/6421/43281/%{name}-%{version}.tar.gz

# Documentation
Source1:        http://cxxtest.tigris.org/files/documents/6421/43284/%{name}-guide-%{version}.pdf

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel

%description
CxxTest is a JUnit/CppUnit/xUnit-like framework for C++.
Its advantages over existing alternatives are that it:
 - doesn't require RTTI
 - doesn't require member template functions
 - doesn't require exception handling
 - doesn't require any external libraries (including memory management,
   file/console I/O, graphics libraries)


%package doc
Summary:        Documentation on how to use CxxTest
Group:          Documentation

%description doc
This package contains the documentation on how to use CxxTest.


%prep
%setup -q -n %{name}
cp -a %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/cxxtest
install -D -p -m 644 cxxtest/* $RPM_BUILD_ROOT/%{_includedir}/cxxtest
install -D -p -m 755 cxxtestgen.py $RPM_BUILD_ROOT/%{_bindir}/cxxtestgen.py
ln -s %{_bindir}/cxxtestgen.py $RPM_BUILD_ROOT/%{_bindir}/cxxtestgen


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README Versions
%if 0%{?fedora}<11 || 0%{?rhel} == 4 || 0%{?rhel} == 5
%exclude %{_bindir}/*.pyc
%exclude %{_bindir}/*.pyo
%endif  
%{_bindir}/cxxtestgen.py
%{_bindir}/cxxtestgen
%{_includedir}/cxxtest/



%files doc 
%defattr(-,root,root,-)
%doc cxxtest-guide-3.10.1.pdf


%changelog
* Wed Aug 05 2009 Martin Gieseking <martin.gieseking@uos.de> - 3.10.1-3
- added exclude tags in files section

* Tue Aug 04 2009 Martin Gieseking <martin.gieseking@uos.de> - 3.10.1-2
- moved headers from devel to main package
- added BuildRequires to avoid build problems
- dropped Requires tag
- cxxtest include directory now explicitely listed in files section

* Tue Aug 04 2009 Martin Gieseking <martin.gieseking@uos.de> - 3.10.1-1
- initial release
